# R PackageInstaller for Students.R
# Lew Harvey 2 September 2020

# This set of packages is to be installed on the lab computers
# in MUEN E311, D346 and E0014.
# It is useful for students to use R and RStudio on their own personal computer.
# It is useful after a fresh install of R and RStudio.
# On some occasions, after installing R packages
# you might need to restart RStudio for the packages to work properly.

# Install devtools package if necessary
if(!"devtools" %in% rownames(installed.packages())) install.packages("devtools")

# Basic packages for knitting Markdown Documents
install.packages(c("bitops",
                   "blogdown",
                   "bookdown",
                   "caTools",
                   "citr",
                   "DescTools",
                   "gridExtra",
                   "kableExtra",
                   "knitr",
                   "png",
                   "RefManagR",
                   "rmarkdown",
                   "tinytex",
                   "tikzDevice",
                   
                   # Packages used in data analyses
                   "bootES",
                   "broom",
                   "colorscience",
                   "fBasics",
                   "foreach",
                   "ggalt",
                   "gganimate",
                   "ggforce",
                   "ggfortify",
                   "ggpubr",
                   "ggthemes",
                   "Gifi",
                   "gridExtra",
                   "Hmisc",
                   "lavaan",
                   "lme4",
                   "lmerTest",
                   "magrittr",
                   "maxLik",
                   "nlme",
                   "plotrix",
                   "psych",
                   "reshape2",
                   "rgl",
                   "rstatix",
                   "smacof",
                   "SpecHelpers",
                   "tidymodels",
                   "tidyverse",
                   
                   # Packages  for Structural Equation modeling
                   "MplusAutomation",
                   "OpenMx",
                   "sem"),
                 dependencies = TRUE)

# Install packages from from GitHub
if (!require("remotes")) install.packages("remotes", repos = "http://cran.rstudio.org")
remotes::install_github("ismayc/thesisdown")
devtools::install_github("crsh/papaja")

